Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.ServiceModel
Imports System.ServiceModel.Channels
Imports System.Net.Security

Namespace Contracts
	Public Class NetNamedPipeContextBinding
		Inherits NetNamedPipeBinding
		Public Sub New()
			MyBase.New()
		End Sub

		Public Sub New(ByVal securityMode As NetNamedPipeSecurityMode)
			MyBase.New(securityMode)
		End Sub

		Public Sub New(ByVal configurationName As String)
			MyBase.New(configurationName)
		End Sub

		Public Overrides Function CreateBindingElements() As System.ServiceModel.Channels.BindingElementCollection
			Dim baseElements As BindingElementCollection = MyBase.CreateBindingElements()
			baseElements.Insert(0, New ContextBindingElement(ProtectionLevel.EncryptAndSign, ContextExchangeMechanism.ContextSoapHeader))

			Return baseElements
		End Function
	End Class
End Namespace
