Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports Contracts
Imports System.Windows
Imports System.ServiceModel
Imports System.ComponentModel

Namespace HostApplication
	<ServiceBehavior(InstanceContextMode:=InstanceContextMode.Single)> _
	Friend Class HostService
		Implements IHostInterface, INotifyPropertyChanged
		Public Sub OrderStatusChange(ByVal order As Order, ByVal newStatus As String, ByVal oldStatus As String) Implements IHostInterface.OrderStatusChange
			CurrentMessage = String.Format("Order status changed to {0}", newStatus)
		End Sub

		Private msg As String

		Public Property CurrentMessage() As String
			Get
				Return msg
			End Get
			Set(ByVal value As String)
				msg = value
				RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("CurrentMessage"))
			End Set
		End Property

		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
	End Class
End Namespace
