Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports Contracts
Imports System.ServiceModel
Imports System.Threading
Imports System.ServiceModel.Description
Imports System.Workflow.Runtime
Imports System.Workflow.Runtime.Hosting
Imports System.ServiceModel.Channels

Namespace HostApplication
	''' <summary>
	''' Interaction logic for Window1.xaml
	''' </summary>
	Partial Public Class Window3
		Inherits Page


		Public Sub New()
			InitializeComponent()
		End Sub


		Private Sub Button_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)

			Dim proxy As IWorkflowInterface = (CType(App.Current, App)).localWorkflowHost.GetProxy(Of IWorkflowInterface)()

			proxy.SubmitOrder(New Order With {.CustomerName = "Matt", .OrderID = 0, .OrderTotal = 250.00})

			wfIdText.Text = (CType(App.Current, App)).localWorkflowHost.GetWorkflowInstanceID(CType(proxy, IClientChannel))

			CType(proxy, IClientChannel).Close()
		End Sub







		Private Sub Button_Click_1(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim wfID As New Guid(wfIdText.Text)

            Dim proxy As IWorkflowInterface = (CType(App.Current, App)).localWorkflowHost.GetProxy(Of IWorkflowInterface)(wfID)

            CType(App.Current, App).localWorkflowHost.PerformClientOperationWithContext(wfID, CType(proxy, IClientChannel), Function() ClientOperationWithContext(proxy))

		End Sub

        Private Function ClientOperationWithContext(ByVal proxy As IWorkflowInterface) As Object
            proxy.UpdateOrder(New Order With {.CustomerName = "Matt", .OrderID = 2, .OrderTotal = 250.0, .OrderStatus = "Updated"})
            Return Nothing
        End Function

		Private Sub Window_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim host As HostService = TryCast((CType(Application.Current, App)).localWorkflowHost.HostServiceInstance, HostService)
			If host IsNot Nothing Then
				Me.DataContext = host
			End If
		End Sub
	End Class
End Namespace
